import request from '@/utils/request'


export function listApplyXgb(query) {
	return request({
		url: '/comprehensive/goodapply/selectApplyYxgb',
		method: 'get',
		query
	})
}

export function verifyApplyYXGB() {
	return request({
		url: '/comprehensive/goodapply/verifyApplyYXGB',
		method: 'get'
	})
}

//申请优秀学生干部
export function addApplyYxgb(data) {
	return request({
		url: '/comprehensive/goodapply/applyYxgb',
		method: 'post',
		data: data
	})
}
//重新申请优秀学生干部
export function reApplyYXG(data) {
	return request({
		url: '/comprehensive/goodapply/reApplyYXGB',
		method: 'post',
		data: data
	})
}
//取消申请
export function cancelOwnApply(data) {
  return request({
    method: "post",
    url: "/comprehensive/goodapply/cancelOwnApply",
    data
  });
}